# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "switchboard-utils"
version = "0.8.2"
include = [
    "/src",
    "/protos",
]
description = "Switchboard utilities for custom functions and OracleJob protobuf definitions"
homepage = "https://switchboard.xyz"
readme = "README.md"
license = "MIT"
repository = "https://github.com/switchboard-xyz/switchboard/tree/main/rust/switchboard-utils"

[package.metadata.docs.rs]
rustdoc-args = [
    "--cfg",
    "doc_cfg",
]

[dependencies.bytes]
version = "1.4.0"

[dependencies.bytestring]
version = "1.3.0"

[dependencies.futures-channel]
version = "0.3"

[dependencies.futures-util]
version = "0.3.28"

[dependencies.jsonpath-rust]
version = "0.3.0"

[dependencies.prost]
version = "0.11.9"

[dependencies.reqwest]
version = "0.11"
features = ["json"]

[dependencies.serde]
version = "^1"
features = ["derive"]

[dependencies.serde_derive]
version = "^1"

[dependencies.serde_json]
version = "^1"

[dependencies.switchboard-common]
version = "0.8.18"
features = ["client"]

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.url]
version = "2.3.1"

[dev-dependencies.mockito]
version = "^1.0.2"

[build-dependencies.prost-build]
version = "0.11.9"
features = ["cleanup-markdown"]

[features]
default = []
